Package com.independentsoft.office.odf.charts

# Class Wall

java.lang.Object
com.independentsoft.office.odf.charts.Wall

All Implemented Interfaces:
  `IContentElement`

public class Wall extends Object implements IContentElement
Represents the wall of a chart. For two-dimensional charts, the wall spans the entire plot area. For three-dimensional charts, the wall consists of two perpendicular rectangles.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Wall()`
  Initializes a new instance of the Wall class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Wall`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getStyle()`
  Gets name that reference style mechanisms.
  `Size`
  `getWidth()`
  Gets the thickness of a wall for three-dimensional charts.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setStyle​(String style)`
  Sets name that reference style mechanisms.
  `void`
  `setWidth​(Size width)`
  Sets the thickness of a wall for three-dimensional charts.
  `String`
  `toString()`
  Converts the value of the current Wall object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Wall

    public Wall()
    Initializes a new instance of the Wall class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Wall clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Wall object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getWidth

    public Size getWidth()
    Gets the thickness of a wall for three-dimensional charts.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the thickness of a wall for three-dimensional charts.
    Parameters:
      `width` - the new width

  - ### getStyle

    public String getStyle()
    Gets name that reference style mechanisms.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets name that reference style mechanisms.
    Parameters:
      `style` - the new style